Skip to content
English

Sign out

POST/v1/auth/logout

Requires a user session. Revokes the selected session while preserving other sessions.

Authentication and access · Errors and retries

Request

Terminal window
curl -X POST 'https://adapt-mail.com/v1/auth/logout' \
-H 'Authorization: Bearer <access_token>'

Parameters

X-Customer-IDheader
Option 1

string

Option 2

null

Responses

200 Successful response

application/json

object

logged_out

boolean

401 Login required

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

403 No access

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

404 Resource not found

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

409 State conflict

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

422 Validation error

application/json

object

detail

array

Array elements

object

locNecessarily

array

Array elements
Option 1

string

Option 2

integer

msgNecessarily

string

typeNecessarily

string

503 Temporarily unavailable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object